<bugID>1319944<Summary>Add the ability to set the UA independently from the device</Summary><Description>Requested by someone on reddit: https://www.reddit.com/r/firefox/comments/5egt1x/the_custom_user_agent_field_was_pretty_useful/

I would suggest just a simple UI like this on the global toolbar:

UA &#9662;

Clicking on it would show:

           UA &#9662;
------------/\-----------
 Type custom user agent  |  &lt;-- This is a textfield.
-------------------------

If a device is selected, the text field has its value set to the device UA.

If an UA set, the UA button becomes blue (kinda like for touch simulation).</Description></bugID>